// file: $isip/class/system/Error/err_01.cc
// version: $Id: err_01.cc 4883 2000-09-20 12:58:09Z hamaker $
//

// isip include files
//
#include "Error.h"
#include <SysString.h>
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) debugging message
//  
// return: a boolean value indicating status
//
boolean Error::debug(const unichar* msg_a) {
  
  // dump the data
  //
  SysString output;
  SysString value;
  
  value.assign((boolean)initialized_d);
  output.debugStr(name(), msg_a, L"initialized_d", value);
  Console::put(output);
  
  value.assign((long)exit_level_d);
  output.debugStr(name(), msg_a, L"exit_level_d", value);
  Console::put(output);
  
  value.assign(debug_level_d);
  output.debugStr(name(), msg_a, L"debug_level_d", value);
  Console::put(output);
  
  // exit gracefully
  //
  return true;
}
